package p09_klasy;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class KontoTest {
    private Konto konto;

    @BeforeEach
    void setUp() {
        konto = new Konto(1, 1000, new Osoba("Ala", "Kowalska", 30));
    }

    @Test
    void testWplata() {
        // zakładamy, że istnieje konto, na którym jest 1000
        // wykonujemy testowana operację
        konto.wplata(300);
        // za pomocą asercji sprawdzamy stan końcowy
        assertEquals(1300, konto.getSaldo());
    }
}